function [ poloha_x, maximum_y ] = welchova_text( novex,z,fvz,index )
% Tato funkce hledá maximum ve spektru a pomocí tlačitka vypíše hodnoty do
% pole


L = length(novex);
NFFT = 2^nextpow2(L);
[Pxx, f] = pwelch(z,800,600,NFFT, fvz, 'onesided');
delka_Pxx = length(Pxx);
delka_f = length(f);

%PRAHOVÁNÍ
start = ((delka_Pxx/100)*1.08);
Y2=Pxx(floor(start):end);  
Y3 = Y2(1:floor(delka_f/7));
[maximum,poloha]=max(Y3(1:end));
maximum_y = maximum;


poloha1 = (poloha-1)+(floor(start)); 
poloha_x = f(poloha1);
end
